Package skyview.process.deedger

# Class ImageMedian

java.lang.Object
skyview.process.Processor
skyview.process.deedger.ImageMedian

All Implemented Interfaces:
  `Serializable`, `Component`

public class ImageMedian extends Processor
This class adjusts the 0 points for data taken from multiple images to try to minimize edge effects. This class just normalizes the medians of all image.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImageMedian()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this object
`String`
`getName()`
Get a name for this object
`void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Initialized the de-edger.
`void`
`updateHeader(nom.tam.fits.Header h)`
Update a FITS header with the processing done here.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageMedian

public ImageMedian()

## Method Details

### getName

public String getName()
Get a name for this object

### getDescription

public String getDescription()
Get a description of this object

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### process

public void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Initialized the de-edger.

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - The input images.
  `output` - The output user image
  `source` - The index array
  `samp` - The spatial sampler (not used)
  `dsamp` - The energy sampler (not used)

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
Update a FITS header with the processing done here.

Specified by:
  `updateHeader` in class `Processor`